KDK_BOARD_FREE(3)

NAME
kdk_board_free - 释放内存

SYNOPSIS
#include <libkybios.h>

extern void kdk_board_free(char *info);

Link with -lkyhw.

Detailed Description
The main function of this interface is to release the string returned by the mainboard module interface.

The argument info is the return value of the kdk_board_get_name, kdk_board_get_vendor, kdk_board_get_serial, or kdk_board_get_date of the functions

RETURN VALUE
No return value

EXAMPLES
    #include "stdio.h"
    #include "libkyboard.h"
    int main()
    {
        char *name = kdk_board_get_name();
        char *vendor = kdk_board_get_vendor();
        char *date = kdk_board_get_date();
        char *serial = kdk_board_get_serial();
        printf("name : %s", name);
        printf("vendor : %s", vendor);
        printf("date : %s", date);
        printf("serial : %s", serial);
        kdk_board_free(name);
        kdk_board_free(vendor);
        kdk_board_free(date);
        kdk_board_free(serial);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_board_get_serial(), kdk_board_get_date(), kdk_board_get_name() and kdk_board_get_vendor().

SEE ALSO
kdk_board_get_serial(3), kdk_board_get_date(3), kdk_board_get_name(3) and kdk_board_get_vendor(3).